# com.github.insanusmokrassar.TelegramBotAPI.bot.exceptions - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.exceptions

## Package com.github.insanusmokrassar.TelegramBotAPI.bot.exceptions

### Exceptions

(common)

#### CommonRequestException

`class CommonRequestException : RequestException`

(common)

#### InvalidPhotoDimensionsException

`class InvalidPhotoDimensionsException : RequestException`

(common)

#### MessageIsNotModifiedException

`class MessageIsNotModifiedException : RequestException`

(common)

#### MessageToEditNotFoundException

`class MessageToEditNotFoundException : RequestException`

(common)

#### ReplyMessageNotFoundException

`class ReplyMessageNotFoundException : RequestException`

(common)

#### RequestException

`sealed class RequestException : IOException`

(common)

#### UnauthorizedException

`class UnauthorizedException : RequestException`

### Functions

(common)

#### newRequestException

`fun newRequestException(response: Response, plainAnswer: String, message: String? = null, cause: Throwable? = null): RequestException`